// Generated TypeScript functions
[34;1m INPUT RAW REGEX:[0m
 [a-z] 

[34;1m INPUT EXPANDED REGEX[0m
 (a|b|c|d|e|f|g|h|i|j|k|l|m|n|o|p|q|r|s|t|u|v|w|x|y|z) 

[35;1m Min-DFA JSON GRAPH[0m
 [{"type":"","transition":{"a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z":1}},{"type":"accept","transition":{}}] 

[32;1m -------------------- YOU CAN COPY THE O1JS ZK REGEX CIRCUIT BELOW --------------------[0m

(input: UInt8[]) {
	const num_bytes = input.length;
	let states: Bool[][] = Array.from({ length: num_bytes + 1 }, () => []);
	let state_changed: Bool[] = Array.from({ length: num_bytes }, () => Bool(false));
	
	states[0][0] = Bool(true);
	for (let i = 1; i < 2; i++) {
		states[0][i] = Bool(false);
	}
	
	for (let i = 0; i < num_bytes; i++) {
		const lt0 = new UInt8(97).lessThanOrEqual(input[i]);
		const lt1 = input[i].lessThanOrEqual(122);
		const and0 = lt0.and(lt1);
		const and1 = states[i][0].and(and0);
		states[i+1][1] = and1;
		state_changed[i] = state_changed[i].or(states[i+1][1]);
		states[i+1][0] = state_changed[i].not();
	}
	
	let final_state_result = Bool(false);
	for (let i = 0; i <= num_bytes; i++) {
		final_state_result = final_state_result.or(states[i][1]);
	}
	const out = final_state_result;

	return out;
}
[34;1m INPUT RAW REGEX:[0m
 [a-z] 

[34;1m INPUT EXPANDED REGEX[0m
 (a|b|c|d|e|f|g|h|i|j|k|l|m|n|o|p|q|r|s|t|u|v|w|x|y|z) 

[35;1m Min-DFA JSON GRAPH[0m
 [{"type":"","transition":{"a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z":1}},{"type":"accept","transition":{}}] 

[32;1m -------------------- YOU CAN COPY THE O1JS ZK REGEX CIRCUIT BELOW --------------------[0m

(input: UInt8[]) {
	const num_bytes = input.length;
	let states: Bool[][] = Array.from({ length: num_bytes + 1 }, () => []);
	let state_changed: Bool[] = Array.from({ length: num_bytes }, () => Bool(false));
	
	states[0][0] = Bool(true);
	for (let i = 1; i < 2; i++) {
		states[0][i] = Bool(false);
	}
	
	for (let i = 0; i < num_bytes; i++) {
		const lt0 = new UInt8(97).lessThanOrEqual(input[i]);
		const lt1 = input[i].lessThanOrEqual(122);
		const and0 = lt0.and(lt1);
		const and1 = states[i][0].and(and0);
		states[i+1][1] = and1;
		state_changed[i] = state_changed[i].or(states[i+1][1]);
		states[i+1][0] = state_changed[i].not();
	}
	
	let final_state_result = Bool(false);
	for (let i = 0; i <= num_bytes; i++) {
		final_state_result = final_state_result.or(states[i][1]);
	}
	const out = final_state_result;

	return out;
}
[34;1m INPUT RAW REGEX:[0m
 [a-z] 

[34;1m INPUT EXPANDED REGEX[0m
 (a|b|c|d|e|f|g|h|i|j|k|l|m|n|o|p|q|r|s|t|u|v|w|x|y|z) 

[35;1m Min-DFA JSON GRAPH[0m
 [{"type":"","transition":{"a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z":1}},{"type":"accept","transition":{}}] 

[32;1m -------------------- YOU CAN COPY THE O1JS ZK REGEX CIRCUIT BELOW --------------------[0m

(input: UInt8[]) {
	const num_bytes = input.length;
	let states: Bool[][] = Array.from({ length: num_bytes + 1 }, () => []);
	let state_changed: Bool[] = Array.from({ length: num_bytes }, () => Bool(false));
	
	states[0][0] = Bool(true);
	for (let i = 1; i < 2; i++) {
		states[0][i] = Bool(false);
	}
	
	for (let i = 0; i < num_bytes; i++) {
		const lt0 = new UInt8(97).lessThanOrEqual(input[i]);
		const lt1 = input[i].lessThanOrEqual(122);
		const and0 = lt0.and(lt1);
		const and1 = states[i][0].and(and0);
		states[i+1][1] = and1;
		state_changed[i] = state_changed[i].or(states[i+1][1]);
		states[i+1][0] = state_changed[i].not();
	}
	
	let final_state_result = Bool(false);
	for (let i = 0; i <= num_bytes; i++) {
		final_state_result = final_state_result.or(states[i][1]);
	}
	const out = final_state_result;

	return out;
}
