interface State {
    name: string;
    transitions: {
        [symbol: string]: State[];
    };
}
declare class NFA {
    startState: State;
    acceptingStates: State[];
    constructor(startState: State, acceptingStates: State[]);
}
declare class DFA {
    startState: State;
    states: State[];
    constructor(startState: State, states: State[]);
}
declare function regexToDFA(regex: string): DFA;
declare const regex = "1=(a|b) (2=(b|c)+ )+d";
declare const dfa: DFA;
declare const re: RegExp;
declare const str = "table football";
declare const regexExp: RegExp;
declare const globalRegexExp: RegExp;
declare let regexpEmail: RegExp;
declare const isValid: boolean;
declare const isNotValid: boolean;
